"newnamesbeta" <-
function( bvec ) {
#
# ------------------------------------------------------------------------------------
# Karlis and Ntzoufras (2004)
# EM algorithms for Bivariate Poisson Models
# ------------------------------------------------------------------------------------
#	Internal function for renaming parameters according to their interpretation
#
#	(c) June 2004 I. Ntzoufras, Chios, Greece
# ------------------------------------------------------------------------------------
#
#	(l1): is parameter rererring to the log(lamdba1)
#	(l2): is parameter rererring to the log(lamdba2)
#	(l2-l1): this parameter is added to the current parameter of l1
#	no label: the parameter is common for both log(lambda1) and log(lambda2)
# ------------------------------------------------------------------------------------

	names(bvec)<-sub('\\)','',names(bvec)) #remove right parenthesis

	names(bvec)<-sub('\\(Intercept','(Intercept)',names(bvec))
	names(bvec)[pmatch('noncommon2',names(bvec))]<-'(l2-l1):(Intercept)'
	names(bvec)<-sub('noncommon2:','(l2-l1):',names(bvec))
	names(bvec)<-sub('noncommon0:','(l1):',names(bvec))
	names(bvec)<-sub('noncommon1:','(l2):',names(bvec))
	
	names(bvec)<-sub(':noncommon2','(l2-l1):',names(bvec))
	names(bvec)<-sub(':noncommon0','(l1):',names(bvec))
	names(bvec)<-sub(':noncommon1','(l2):',names(bvec))
	
	names(bvec)<-sub('I\\(l1 \\* ','(l1):',names(bvec))
	names(bvec)<-sub('I\\(l2 \\* ','(l2):',names(bvec))
	
	names(bvec)[grep('\\* l1',names(bvec))]<-paste('(l1):',names(bvec)[grep('\\* l1',names(bvec))], sep='')
names(bvec)[grep('\\* l2',names(bvec))]<-paste('(l2):',names(bvec)[grep('\\* l2',names(bvec))], sep='')
	names(bvec)<-sub('I\\(','',names(bvec))
	names(bvec)<-sub('\\* l1','',names(bvec))
	names(bvec)<-sub('\\* l2','',names(bvec))
	names(bvec)
}

